cURL
curl --request GET \
--url https://dev-api-cj-agc-vie.fnstack.dev/v1/policy-holders/{policy_holder_id}import requests
url = "https://dev-api-cj-agc-vie.fnstack.dev/v1/policy-holders/{policy_holder_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://dev-api-cj-agc-vie.fnstack.dev/v1/policy-holders/{policy_holder_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://dev-api-cj-agc-vie.fnstack.dev/v1/policy-holders/{policy_holder_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://dev-api-cj-agc-vie.fnstack.dev/v1/policy-holders/{policy_holder_id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://dev-api-cj-agc-vie.fnstack.dev/v1/policy-holders/{policy_holder_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://dev-api-cj-agc-vie.fnstack.dev/v1/policy-holders/{policy_holder_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"policy_holder_id": "phol_2c1x7V4r47ynM4RABVm1Co0UKkG",
"status": "ACTIVE",
"last_name": "MALONGA",
"phone_number": "242059758563",
"date_of_birth": "1974-12-02",
"gender": "MALE",
"first_name": "Jules"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Policy Holders
Get v1policy holders
Get a policy holder
GET
/
v1
/
policy-holders
/
{policy_holder_id}
cURL
curl --request GET \
--url https://dev-api-cj-agc-vie.fnstack.dev/v1/policy-holders/{policy_holder_id}import requests
url = "https://dev-api-cj-agc-vie.fnstack.dev/v1/policy-holders/{policy_holder_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://dev-api-cj-agc-vie.fnstack.dev/v1/policy-holders/{policy_holder_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://dev-api-cj-agc-vie.fnstack.dev/v1/policy-holders/{policy_holder_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://dev-api-cj-agc-vie.fnstack.dev/v1/policy-holders/{policy_holder_id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://dev-api-cj-agc-vie.fnstack.dev/v1/policy-holders/{policy_holder_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://dev-api-cj-agc-vie.fnstack.dev/v1/policy-holders/{policy_holder_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"policy_holder_id": "phol_2c1x7V4r47ynM4RABVm1Co0UKkG",
"status": "ACTIVE",
"last_name": "MALONGA",
"phone_number": "242059758563",
"date_of_birth": "1974-12-02",
"gender": "MALE",
"first_name": "Jules"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Path Parameters
Minimum string length:
1Example:
"phol_2c1x7V4r47ynM4RABVm1Co0UKkG"
Response
Get a policy holder
Minimum string length:
1Example:
"phol_2c1x7V4r47ynM4RABVm1Co0UKkG"
Available options:
ACTIVE, BLACKLISTED, BLOCKED, CANCELED, CLOSED Example:
"ACTIVE"
Required string length:
1 - 250Example:
"MALONGA"
Minimum string length:
1Example:
"242059758563"
Example:
"1974-12-02"
Available options:
FEMALE, MALE Example:
"MALE"
Maximum string length:
250Example:
"Jules"